/**
 * Complex class, with multiple methods, to illustrate test suite.
 * 
 * @author Tom Verhoeff (TU/e)
 */
public class ComplexClass {
    
    /**
     * Returns sum.
     * 
     * @param a  first term
     * @param b  second term
     * @return {@code a + b}
     */
    public int add(int a, int b) {
        return a + b;
    }
    
    /**
     * Returns product.
     * 
     * @param a  first factor
     * @param b  second factor
     * @return {@code a * b}
     */
    public int multiply(int a, int b) {
        return a * b;
    }
    
}
